Package picard.sam.SamErrorMetric

## Class ReadBaseStratification.MismatchesInReadStratifier

- java.lang.Object
- - picard.sam.SamErrorMetric.ReadBaseStratification.MismatchesInReadStratifier

- All Implemented Interfaces:
    `ReadBaseStratification.RecordAndOffsetStratifier<Integer>`
  Enclosing class:
    ReadBaseStratification

      public static class ReadBaseStratification.MismatchesInReadStratifier
      extends Object
      implements ReadBaseStratification.RecordAndOffsetStratifier<Integer>

  Stratifies according to the overall mismatches (from NM) that the read has against the reference, NOT including the current base.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MismatchesInReadStratifier()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getSuffix()` |
    `Integer` | `stratify​(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MismatchesInReadStratifier

          public MismatchesInReadStratifier()

  - ### Method Detail

    - #### stratify

          public Integer stratify​(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset,
                                  htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)

      Specified by:
        `stratify` in interface `ReadBaseStratification.RecordAndOffsetStratifier<Integer>`

    - #### getSuffix

          public String getSuffix()

      Specified by:
        `getSuffix` in interface `ReadBaseStratification.RecordAndOffsetStratifier<Integer>`